#include "TrueTypeFont.h"

#include <sstream>

std::string TrueTypeFont::logHeadTable() const
{
    std::stringstream sstr;
    sstr << "Head Table\n";
    sstr << "version: " << mHeadTable.version << "\n";
    sstr << "fontRevision: " << mHeadTable.fontRevision << "\n";
    sstr << "checksumAdjustment: " << mHeadTable.checksumAdjustment << "\n";
    sstr << "magicNumber: " << mHeadTable.magicNumber << "\n";
    sstr << "flags: " << mHeadTable.flags << "\n";
    sstr << "unitsPerEm: " << mHeadTable.unitsPerEm << "\n";
    sstr << "created: " << mHeadTable.created << "\n";
    sstr << "modified: " << mHeadTable.modified << "\n";
    sstr << "xMin: " << mHeadTable.xMin << "\n";
    sstr << "yMin: " << mHeadTable.yMin << "\n";
    sstr << "xMax: " << mHeadTable.xMax << "\n";
    sstr << "yMax: " << mHeadTable.yMax << "\n";
    sstr << "macStyle: " << mHeadTable.macStyle << "\n";
    sstr << "lowestRecPPEM: " << mHeadTable.lowestRecPPEM << "\n";
    sstr << "fontDirectionHint: " << mHeadTable.fontDirectionHint << "\n";
    sstr << "indexToLocFormat: " << mHeadTable.indexToLocFormat << "\n";
    sstr << "glyphDataFormat: " << mHeadTable.glyphDataFormat << "\n";
    return sstr.str();



}

